/* swapscrn.c: Working with multiple display pages */

#include <graph.h>
#include <conio.h>

main()
{
    struct videoconfig video;

    /* Check to see if we can run */
    _getvideoconfig (&video);
	if (video.numvideopages == 1)
        puts ("Only one video page available. Cannot run.");
    else {

        /* Start out in page 0 */
        puts ("Press a key to see page 1, again to come back here");
        getch();

        /* Show page 1 in uninitialized state */
        _setvisualpage (1);
        getch();

        /* Return to page 0 */
        _setvisualpage (0);
        puts ("Press a key to see page 1 after background activity");

        /* Construct an image behind the scenes in page 1 */
        _setactivepage (1);         /* page 1 active */
        _setbkcolor (2L);           /* set green background */
        _settextcolor (15);         /* and white foreground */
        _clearscreen (_GCLEARSCREEN);   /* clear */
		_settextposition (11, 20);
        _outtext ("Page 1 change while you weren't looking!");
        _settextposition (13, 27);
        _outtext ("Press any key to continue");

        /* Now wait for user keypress from page 0 */
        getch();
        _setvisualpage(1);

        /* Wait for another keypress to return to page 0 */
        getch();
        _setvisualpage (0);

        /* Clean up page 1, which is sill active */
        _setbkcolor (0L);
        _settextcolor (7);
        _clearscreen (_GCLEARSCREEN);
        _setactivepage (0);             /* restore default page */
    }
}

